import { render, screen } from '@testing-library/react'
import { FluidType } from 'enums'
import React from 'react'
import IncompleteDataWarning from './IncompleteDataWarning'

describe('IncompleteDataWarning', () => {
  it('renders component correctly and have correct snapshot', async () => {
    const incompleteFluidTypes = [FluidType.ELECTRICITY, FluidType.GAS]
    const { container } = render(
      <IncompleteDataWarning incompleteDataFluids={incompleteFluidTypes} />
    )
    expect(await screen.findByRole('heading')).toHaveTextContent(
      'analysis.warning_title'
    )
    expect(container).toMatchSnapshot()
  })
})
