import { render, screen } from '@testing-library/react'
import { ProfileTypeStepForm } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from 'tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import ProfileTypeFormMultiChoice from './ProfileTypeFormMultiChoice'

describe('ProfileTypeFormMultiChoice component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    render(
      <Provider store={store}>
        <ProfileTypeFormMultiChoice
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          currentProfileType={mockProfileType}
          answerType={mockProfileTypeAnswers[8]}
          setNextStep={jest.fn()}
          setPreviousStep={jest.fn()}
        />
      </Provider>
    )
    expect(screen.getAllByRole('checkbox').length).toBeTruthy()
  })
})
